#!/bin/sh
VnGuiProcessName=Vnet
VnProcessName=vnet-link
vnet_dir='/usr/local/vnet_auth/'
domain1='.ntm20.com'
domain2='.ntm200.com'
domain3='.ntm200demo.com'

# プロセスをカウント
VnGuiCount=`ps -ef | grep $VnGuiProcessName | grep -v grep | wc -l`
VnCount=`ps -ef | grep $VnProcessName | grep -v grep | wc -l`

# Vnet.exe終了
if [ $VnGuiCount -gt 0 ]; then
  ps aux | grep $VnGuiProcessName | grep -v grep | awk '{ print "kill -9", $2 }' | sh
fi
# vnet-link終了
if [ $VnCount -gt 0 ]; then
  ps aux | grep $VnProcessName | grep -v grep | awk '{ print "kill -9", $2 }' | sh
fi

if [ ! -e ~/Downloads/ ]; then
  # ダウンロードディレクトリが見つからない場合
  mkdir ~/Downloads
fi

if [ -e ~/Downloads/vnet_setup.zip ]; then
  rm ~/Downloads/vnet_setup.zip
fi

if [ -e ~/Downloads/vnet_setup/ ]; then
  rm -r ~/Downloads/vnet_setup/
fi

# ダウンロード
wget https://ntm200.com/download/vnet_installer/vnet_setup.zip -O ~/Downloads/vnet_setup.zip

if [ $? -eq 0 ]; then
  # 正常にダウンロードできた場合
  cd ~/Downloads/
  # ファイル解凍
  unzip ~/Downloads/vnet_setup.zip
  cd vnet_setup/
  # インストーラーに権限付与
  chmod 755 install.sh
  ./install.sh
else
  # 正常にダウンロードできなかった場合
  echo software update failed
fi
