#!/bin/sh

#DNSStubListener=noを削除
resolved_conf_data=$(sed '/^DNSStubListener=no$/d' /etc/systemd/resolved.conf)
echo "${resolved_conf_data}" > /etc/systemd/resolved.conf

#systemd-resolved を再起動
sudo systemctl restart systemd-resolved

#dnsmasqを削除
networkmanager_conf_data=$(sed '/^dns=dnsmasq$/d' /etc/NetworkManager/NetworkManager.conf)
echo "${networkmanager_conf_data}" > /etc/NetworkManager/NetworkManager.conf

#シンボリックリンク作成
cd /etc
ln -s ../run/systemd/resolve/stub-resolv.conf resolv.conf

#NetworkManagerを再起動
sudo systemctl restart NetworkManager

#default.confを削除
rm /etc/NetworkManager/dnsmasq.d/default.conf

#NetworkManagerを再起動
sudo systemctl restart NetworkManager
