#!/bin/sh

local_dir='/usr/local/'
videophone_dir='/usr/local/videophone/'

if [ ! -e "$videophone_dir" ];then
  empty=true
else
  empty=false
fi

# フォルダ配置
cp -f -a videophone "$local_dir"

# 権限付与
chmod 606 "$videophone_dir"config.dat

if "$empty"; then
  # videophoneが存在しなかった場合以下を実行
  # ディレクトリ移動
  cd "$videophone_dir"

  # npmインストール
  sudo apt-get -y install npm

  # nodeインストール
  sudo npm install -g n
  sudo n 10.19.0

  # socket.ioインストール
  sudo npm install socket.io@2.3.0
fi
